Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511273 - Failed to query available packages that can be installed
Summary: Failed to query available packages that can be installed
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager
Version: 7.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: candlepin-bugs
QA Contact: Red Hat subscription-manager QE Team
URL:
Whiteboard:
Depends On: 1512948
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-09 03:28 UTC by Wei Liu
Modified: 2017-11-29 05:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
the rhsm log (deleted)
2017-11-09 03:28 UTC, Wei Liu
no flags Details

Description Wei Liu 2017-11-09 03:28:03 UTC
Created attachment 1349682 [details]
the rhsm log

Description of problem:
Failed to query available packages that can be installed after attaching subscriptions

Version-Release number of selected component (if applicable):
[root@cloud-qe-16-vm-01 rhsm]# rpm -qa | egrep "subscription|rhsm"
subscription-manager-gui-1.20.5-1.el7.x86_64
subscription-manager-rhsm-certificates-1.20.5-1.el7.x86_64
subscription-manager-rhsm-1.20.5-1.el7.x86_64
subscription-manager-1.20.5-1.el7.x86_64
subscription-manager-initial-setup-addon-1.20.5-1.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1.Install build RHEL-7.5-20171107.1

2.Resister system and attach subscriptions
[root@cloud-qe-16-vm-05 ~]# subscription-manager register
Registering to: subscription.rhsm.stage.redhat.com:443/subscription
Username: rnew_test
Password: 
The system has been registered with ID: d6f4edd1-f54a-4c60-8b3e-86366b156cc1
The registered system name is: cloud-qe-16-vm-05.idmqe.lab.eng.bos.redhat.com
[root@cloud-qe-16-vm-05 ~]# 
[root@cloud-qe-16-vm-05 ~]# 
[root@cloud-qe-16-vm-05 ~]# 
[root@cloud-qe-16-vm-05 ~]# subscription-manager attach --auto
Installed Product Current Status:
Product Name: Red Hat Enterprise Linux Server
Status:       Subscribed

3.List available repos
[root@cloud-qe-16-vm-05 ~]# subscription-manager repos --list-enabled
+----------------------------------------------------------+
    Available Repositories in /etc/yum.repos.d/redhat.repo
+----------------------------------------------------------+
Repo ID:   rhel-7-server-rpms
Repo Name: Red Hat Enterprise Linux 7 Server (RPMs)
Repo URL:  https://cdn.redhat.com/content/dist/rhel/server/7/$releasever/$basear
           ch/os
Enabled:   1

4.Query available packages that can be installed
[root@cloud-qe-16-vm-05 ~]# repoquery --all --repoid=rhel-7-server-rpms
failure: repodata/repomd.xml from rhel-7-server-rpms: [Errno 256] No more mirrors to try.
https://cdn.redhat.com/content/dist/rhel/server/7/7.5/x86_64/os/repodata/repomd.xml: [Errno 14] HTTPS Error 404 - Not Found

Actual results:
No packages was listed

Expected results:
List the packages can be installed successfully

Additional info:
After Step 4. I check the release version and set it to 7Server,then the packages can be listed
[root@cloud-qe-16-vm-05 ~]# subscription-manager release --show
Release not set
[root@cloud-qe-16-vm-05 ~]# subscription-manager release --set=7Server
Release set to: 7Server
[root@cloud-qe-16-vm-05 ~]# repoquery --all --repoid=rhel-7-server-rpms
389-ds-base-0:1.3.6.1-21.el7_4.x86_64
389-ds-base-libs-0:1.3.6.1-21.el7_4.x86_64

Comment 2 Chris Snyder 2017-11-16 15:17:49 UTC
Please retest when bug 1512948 is fixed.

Comment 3 Wei Liu 2017-11-17 02:12:48 UTC
OK.Got it~ and I will retest it when bug 1512948 is fixed.

Comment 4 Kevin Howell 2017-11-27 15:05:39 UTC
Wei Liu, looks like bug 1512948 just got changed to ON_QA, can you please report back once the update package (redhat-release) is available?

Comment 5 Wei Liu 2017-11-28 01:38:28 UTC
OK,I will report back once the redhat-release package is updated.

Comment 6 Wei Liu 2017-11-29 05:27:47 UTC
Verifying version:
[root@dell-pe-fc630-01 ~]# rpm -qa | egrep redhat-release
redhat-release-7.5-0.14.el7.x86_64
redhat-release-server-7.5-0.14.el7.x86_64

Verification:
1 Resister system and attach subscriptions
[root@dell-pe-fc630-01 ~]# subscription-manager register
Registering to: subscription.rhsm.stage.redhat.com:443/subscription
Username: rnew_test
Password: 
The system has been registered with ID: 2f1d9304-bced-49cf-9a8a-a682c3aedde2
The registered system name is: dell-pe-fc630-01.rhts.eng.bos.redhat.com

[root@dell-pe-fc630-01 ~]# subscription-manager attach --auto
Installed Product Current Status:
Product Name: Red Hat Enterprise Linux Server
Status:       Subscribed

2 List available repos
[root@dell-pe-fc630-01 ~]# subscription-manager repos --list-enabled
+----------------------------------------------------------+
    Available Repositories in /etc/yum.repos.d/redhat.repo
+----------------------------------------------------------+
Repo ID:   rhel-7-server-rpms
Repo Name: Red Hat Enterprise Linux 7 Server (RPMs)
Repo URL:  https://cdn.redhat.com/content/dist/rhel/server/7/$releasever/$basearch/os
Enabled:   1

3 Query available packages
[root@dell-pe-fc630-01 ~]# repoquery --all --repoid=rhel-7-server-rpms
389-ds-base-0:1.3.6.1-21.el7_4.x86_64
389-ds-base-libs-0:1.3.6.1-21.el7_4.x86_64
ElectricFence-0:2.2.2-39.el7.i686
ElectricFence-0:2.2.2-39.el7.x86_64
GConf2-0:3.2.6-8.el7.i686
GConf2-0:3.2.6-8.el7.x86_64
.....
zziplib-0:0.13.62-5.el7.i686
zziplib-0:0.13.62-5.el7.x86_64

All the packages that can be installed was listed successfully.So this issue is verified and move the status to "verified".


Note You need to log in before you can comment on or make changes to this bug.